from setuptools import setup

setup(
    name='stcli',
    version='0.2.1',
    author='Yuan Chen',
    author_email='huddsinyuan2014@gmail.com',
    license='MIT',
    classifiers=[
        # How mature is this project? Common values are
        #   3 - Alpha
        #   4 - Beta
        #   5 - Production/Stable
        'Development Status :: 5 - Production/Stable',
        'Environment :: Console',
        # Indicate who your project is intended for
        'Intended Audience :: Science/Research',
        'Topic :: System :: Logging',

        # Pick your license as you wish (should match "license" above)
        'License :: OSI Approved :: MIT License',
        'Operating System :: Microsoft :: Windows :: Windows 10',


        # Specify the Python versions you support here. In particular, ensure
        # that you indicate whether you support Python 2, Python 3 or both.
        'Programming Language :: Python :: 3.6',
    ],
    python_requires='>=3',
    package_data={
        'data': ['sample.color.config.txt', 'sample.mono.config.txt'],
    },
    description='This is an text parse based on CLI for config file generated by SpectrumToolset.',
    long_description='This is an text parse based on CLI for config file generated by SpectrumToolset.\n'
                     'Any Problem/PR is welcomed.\n'
                     'Mail: huddsinyuan2014@gmail.com\n'
                     '',
    packages=['stcli'],
    entry_points={
        'console_scripts': [
            'stcli = stcli.ParseConfigTextFile:ParseConfigTextFile'
        ]
    })
